[ Identification | Description | Input parameters | Output parameters | Links ]

# The `E_monitor` Component

Energy-sensitive monitor.

## Identification

- Author: Kristian Nielsen and Kim Lefmann
- Origin: Risoe
- Date: April 20, 1998
- Version: 1.24

## Description

    A square single monitor that measures the energy of the incoming neutrons.

    Example: E_monitor(xmin=-0.1, xmax=0.1, ymin=-0.1, ymax=0.1,
                    Emin=1, Emax=50, nchan=20, filename="Output.nrj")

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
nchan | 1 | Number of energy channels | 20
filename | text | Name of file in which to store the detector image |
xmin | m | Lower x bound of detector opening | 0
xmax | m | Upper x bound of detector opening | 0
ymin | m | Lower y bound of detector opening | 0
ymax | m | Upper y bound of detector opening | 0
xwidth | m | Width/diameter of detector (x). Overrides xmin,xmax. | 0
yheight | m | Height of detector (y). Overrides ymin,ymax. | 0
Emin | meV | Minimum energy to detect |
Emax | meV | Maximum energy to detect |

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
E_N | - | Array of neutron counts |
E_p | - | Array of neutron weight counts |
E_p2 | - | Array of second moments |
S_p | - | Sum of neutron weight counts |
S_pE | - | Sum of weighted energies |
S_pE2 | - | Sum of weighted energy squared |

## Links

- Source code for `E_monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]